Bug 501511 - RFE: Use STABLE trees by default
RFE: Use STABLE trees by default
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.5
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
: FutureFeature, Reopened
Depends On:
Blocks: 593663
  Show dependency treegraph
 
Reported: 2009-05-19 10:43 EDT by Ondrej Hudlicky
Modified: 2010-06-02 13:29 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-02 13:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Hudlicky 2009-05-19 10:43:16 EDT
Description of problem:

If you run RHTS workflow and do not pick specific distro (or use -T/--tag) latest tree is automagically selected. Often it is not installable, which causes lot of useless runs.
I asked Bill, what would he recommend to prevent this resources wasting.

Proposal:

Make all workflows except the RTT one default to tag STABLE.
The exception would be if you specify the distro with -d or you specify a different tag on the command line it would NOT add STABLE to the recipe.

I suppose no changes in workflows needed - this will be fixed in scheduler ? 

Discussed & agreed:
 * qe-dept-list
 * RHEL meeting
Comment 1 Karel Volný 2010-01-27 11:06:39 EST
where's the vote link for this bug? - I really hate cases like this: http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=120776
Comment 2 Bill Peck 2010-04-07 08:37:00 EDT
Notice:

Legacy RHTS is soon to be retired and replaced by Beaker. As part of
this migration process all RHTS bugs need to be re-verified against a
Beaker instance by the cut-off date

   5pm Monday April 12th UTC-4. 

Please confirm this bug is still relevant to Beaker by re-verifying it
against the stage deployment of Beaker https://beaker-stage.app.eng.bos.redhat.com.

To keep this bug open please comment on it

If it has not received a comment by that date the bug will be closed/wontfix.

After the cutoff date all commented bugs will be moved to the Beaker
product.


thank you
Comment 3 Bill Peck 2010-04-14 10:51:24 EDT
The RHTS product is going away.  If any of these bugs still apply to the new Beaker system which is replacing RHTS then please open a new bug with Beaker as the component.

Thanks!
Comment 5 Bill Peck 2010-05-27 16:59:24 EDT
I have implemtned this in the new beaker workflow.

If you don't specify a tag it automatically adds STABLE, unless you specify the distro you want to install.

Note You need to log in before you can comment on or make changes to this bug.